.TH wxListItem 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxListItem \- See external documentation: wxListItem\&.
.SH DESCRIPTION
.LP
See external documentation: wxListItem <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxListItem()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxListItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemwxlistitem>\&.
.RE
.LP
.B
new(Item::wxListItem()) -> wxListItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemwxlistitem>\&.
.RE
.LP
.B
clear(This::wxListItem()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemclear>\&.
.RE
.LP
.B
getAlign(This::wxListItem()) -> WxListColumnFormat
.br
.RS
.TP
Types
WxListColumnFormat = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetalign>\&. 
.br
 WxListColumnFormat is one of ?wxLIST_FORMAT_LEFT | ?wxLIST_FORMAT_RIGHT | ?wxLIST_FORMAT_CENTRE | ?wxLIST_FORMAT_CENTER
.RE
.LP
.B
getBackgroundColour(This::wxListItem()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetbackgroundcolour>\&.
.RE
.LP
.B
getColumn(This::wxListItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetcolumn>\&.
.RE
.LP
.B
getFont(This::wxListItem()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetfont>\&.
.RE
.LP
.B
getId(This::wxListItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetid>\&.
.RE
.LP
.B
getImage(This::wxListItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetimage>\&.
.RE
.LP
.B
getMask(This::wxListItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetmask>\&.
.RE
.LP
.B
getState(This::wxListItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetstate>\&.
.RE
.LP
.B
getText(This::wxListItem()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgettext>\&.
.RE
.LP
.B
getTextColour(This::wxListItem()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgettextcolour>\&.
.RE
.LP
.B
getWidth(This::wxListItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemgetwidth>\&.
.RE
.LP
.B
setAlign(This::wxListItem(), Align::WxListColumnFormat) -> ok
.br
.RS
.TP
Types
WxListColumnFormat = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetalign>\&. 
.br
 WxListColumnFormat is one of ?wxLIST_FORMAT_LEFT | ?wxLIST_FORMAT_RIGHT | ?wxLIST_FORMAT_CENTRE | ?wxLIST_FORMAT_CENTER
.RE
.LP
.B
setBackgroundColour(This::wxListItem(), ColBack::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetbackgroundcolour>\&.
.RE
.LP
.B
setColumn(This::wxListItem(), Col::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetcolumn>\&.
.RE
.LP
.B
setFont(This::wxListItem(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetfont>\&.
.RE
.LP
.B
setId(This::wxListItem(), Id::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetid>\&.
.RE
.LP
.B
setImage(This::wxListItem(), Image::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetimage>\&.
.RE
.LP
.B
setMask(This::wxListItem(), Mask::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetmask>\&.
.RE
.LP
.B
setState(This::wxListItem(), State::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetstate>\&.
.RE
.LP
.B
setStateMask(This::wxListItem(), StateMask::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetstatemask>\&.
.RE
.LP
.B
setText(This::wxListItem(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsettext>\&.
.RE
.LP
.B
setTextColour(This::wxListItem(), ColText::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsettextcolour>\&.
.RE
.LP
.B
setWidth(This::wxListItem(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistitem\&.html#wxlistitemsetwidth>\&.
.RE
.LP
.B
destroy(This::wxListItem()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
